Bug 461423 - rpmlint erroneously report warnings about items appeared in %changelog section
rpmlint erroneously report warnings about items appeared in %changelog section
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 15:44 EDT by Pavel Alexeev
Modified: 2008-11-22 11:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-31 06:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2008-09-07 15:44:16 EDT
Description of problem:
Additional to erroneously report warnings in comments (see #461421) I have:
mysql-gui-tools.spec:361: W: hardcoded-path-in-buildroot-tag /var/tmp/mysql-gui-tools-%%{PACKAGE_VERSION}-root

So, +/-2 lines around reported line 361 (exactly 5 lines if buzgilla add brackage) are:
- Remove extra %%define ver	5.0r12
- Replace BuildRoot to more standard:
	BuildRoot:	/var/tmp/mysql-gui-tools-%%{PACKAGE_VERSION}-root
	to
	BuildRoot:	%%{_tmppath}/%%{name}-%%{version}-%%{release}-root-%%(%%{__id_u} -n)


Version-Release number of selected component (if applicable):
$ rpm -q rpmlint
rpmlint-0.84-2.fc10.noarch

I special update from rawhide in Fedora 9. Stable conducts themselves do the
same.
Comment 1 Ville Skyttä 2008-09-07 16:16:07 EDT
Hm, this does not seem to be the mysql-gui-tools.spec that is in Fedora CVS devel or F-9 branch, I don't see the things you describe in it (no such %define, no such hardcoded BuildRoot).  Without seeing the actual specfile, it's hard to say much at all about this - could you attach the mysql-gui-tools.spec you are using to this bug?
Comment 2 Pavel Alexeev 2008-09-07 16:35:05 EDT
(In reply to comment #1)
> Hm, this does not seem to be the mysql-gui-tools.spec that is in Fedora CVS
> devel or F-9 branch
No, no. It is my own spec. Please, see attachment from https://bugzilla.redhat.com/show_bug.cgi?id=461423 comment #4

Excuse, if misled you.
Comment 3 Ville Skyttä 2008-09-07 18:08:25 EDT
Indeed, a lot of tag related checks that make sense only in "package" sections (usually top of specfile before %description, or other %package sections) were made everywhere in the specfile.  Fixed upstream, will be in the next upstream release: http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1456

Keeping bug open here for tracking purposes.  Thanks for the report.
Comment 4 Pavel Alexeev 2008-09-07 18:33:26 EDT
(In reply to comment #3)
> Indeed, a lot of tag related checks that make sense only in "package" sections
> (usually top of specfile before %description, or other %package sections) were
> made everywhere in the specfile.
Sure. But in %build and %install sections rpmlint also helpful.
So, I'm think most of checks must be before changelog.

> Fixed upstream, will be in the next upstream
> release: http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1456
Thanks. I wait updates.
Comment 5 Ville Skyttä 2008-09-08 01:45:58 EDT
(In reply to comment #4)
> Sure. But in %build and %install sections rpmlint also helpful.

Absolutely.  What I mean (and what my change above does) that it does not make sense to check values of things like "BuildRequires: foo" and "Prefix: /bin" and all the other tags for example in the %build section - they are not parsed as tags but regular shell script lines there by rpmbuild.
Comment 6 Fedora Update System 2008-10-23 16:54:23 EDT
rpmlint-0.85-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rpmlint-0.85-1.fc9
Comment 7 Fedora Update System 2008-10-24 19:49:33 EDT
rpmlint-0.85-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9125
Comment 8 Fedora Update System 2008-10-31 06:25:07 EDT
rpmlint-0.85-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-11-04 12:37:11 EST
rpmlint-0.85-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmlint-0.85-2.fc10
Comment 10 Fedora Update System 2008-11-22 11:55:37 EST
rpmlint-0.85-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.